.TH FTSTRING 1 "May 2022" "Freetype 2.12.1"
.
.
.SH NAME
.
ftstring \- string viewer
.
.
.SH SYNOPSIS
.
.B ftstring
.RI [ options ]
.RI [ pt ]
.I font .\|.\|.
.
.
.SH DESCRIPTION
.
.B ftstring
displays a text string with the given font, allowing to change
various rendering and display options interactively.
.
.TP
.B pt
The point size for the given resolution.
If resolution is 72dpi, this directly gives the ppem value (pixels per EM).
.
.TP
.B font
The font file(s) to display.
For Type 1 font files,
.B ftstring
also tries to attach the corresponding metrics file (with extension `.afm'
or `.pfm').
.
.PP
Besides the string,
.B ftstring
also displays two stress test pattens sensitive to rendering flaws, such as
incorrect gamma settings.
Alternative text-carpeting and waterfall views are also available.
This program is part of the FreeType demos package.
.
.
.SH OPTIONS
.
.TP
.BI \-d \ W x H \fR[\fPx D\fR]\fP
Set the window width to
.I W
px, the height to
.I H
px, and optionally the depth to
.I D
bpp (default: 640x480x24).
.
.TP
.BI \-r \ r
Use resolution
.I r
dpi (default: 72dpi).
.
.TP
.BI \-e \ enc
Specify encoding tag (default: no encoding).
Common values:
.B unic
(Unicode),
.B symb
(symbol),
.B ADOB
(Adobe standard),
.B ADBC
(Adobe custom).
.
.TP
.BI \-m \ text
Use
.I text
for rendering.
.
.TP
.BI \-k \ keys
Emulate sequence of keystrokes upon start-up.
If the keystrokes contain 'q', the program operates in batch mode.
Function keys
.RI F x
are mapped to character codes
.RI 0xF x ;
as an example,
.B \-k\ $'\exF3q'
is function key 'F3' followed by character 'q'.
.
.TP
.B \-v
Show version.
.
.\" eof
